/**
 * Copyright (C) 2008 Gauvain Pocentek <gpocentek@linutop.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __EVENT_LABEL_H__
#define __EVENT_LABEL_H__

#include <gtk/gtk.h>

G_BEGIN_DECLS

typedef struct _EventLabelPrivate EventLabelPrivate;
typedef struct _EventLabelClass   EventLabelClass;
typedef struct _EventLabel        EventLabel;

#define TYPE_EVENT_LABEL             (event_label_get_type ())
#define EVENT_LABEL(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_EVENT_LABEL, EventLabel))
#define EVENT_LABEL_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_EVENT_LABEL, EventLabelClass))
#define IS_EVENT_LABEL(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_EVENT_LABEL))
#define IS_EVENT_LABEL_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_EVENT_LABEL))
#define EVENT_LABEL_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_EVENT_LABEL, EventLabelClass))

struct _EventLabelClass
{
  GtkEventBoxClass __parent__;
};

struct _EventLabel
{
  GtkEventBox           __parent__;

  GtkWidget *image;
  GtkWidget *label;

  /*< private >*/
  EventLabelPrivate *priv;
};

GType        event_label_get_type (void) G_GNUC_CONST G_GNUC_INTERNAL;
GtkWidget   *event_label_new      (const gchar *,
                                   const gchar *) G_GNUC_MALLOC G_GNUC_INTERNAL;
void         event_label_set_cmd  (EventLabel *,
                                   const gchar *);
const gchar *event_label_get_cmd  (EventLabel *elabel);

G_END_DECLS

#endif /* !__EVENT_LABEL_H__ */
